HTML: HyperText Markup Language – a standardized markup language used to create and structure content on the web.
API: Application Programming Interface – a set of protocols, routines, and tools that enables communication and integration between different software applications.
URL: Uniform Resource Locator – the address used to specify the location of a resource on the Internet.
JSON: Short for "JavaScript Object Notation" – a lightweight, human-readable data format used for structured data interchange.
TBD: To Be Discussed
REST-Ful: REST (Representational State Transfer) is a software architectural style that was created to describe the design and guide the development of the architecture for the World Wide Web.
BADGE: A badge is a device or accessory. For instance, an emblem displayed on a software project indicating that it is actively maintained and built for long-term sustainability. It signifies continuous support, regular updates, and a commitment to reliability.
openCode: openCode is the platform for Digital Sovereignty. openCode brings open source to the German public sector. Together, we develop and share software that shapes our digital future in a self-determined way.
GitLab: A comprehensive, web-based DevOps platform for Git repository management, continuous integration, and collaborative software development.
Regex: A shorthand for "regular expression" – a sequence of characters that defines a search pattern used for matching, searching, and manipulating text.
GitLabToken: A secure, unique string used to authenticate and authorize actions on GitLab, serving as a digital key to access protected resources.
Token: A secure, unique string used to authenticate and authorize actions. It is serving as a digital key to access protected resources.
Issue: A ticket or work item in a project management system used to track bugs, feature requests, or tasks, enabling structured discussion and resolution.
Repository: A centralized, version-controlled storage location for source code and related files, facilitating collaborative development and change tracking.
CI: Short for "Continuous Integration" – a development practice where code changes are automatically built, tested, and merged into a shared repository frequently to detect integration issues early and maintain high code quality.
CD: Short for "Continuous Delivery" – a process where code changes are automatically deployed to production or staging environments after passing automated tests, enabling fast and consistent software updates.
SARIF: Short for "Static Analysis Results Interchange Format" – a standardized, JSON-based format for representing and sharing the results of static analysis tools, facilitating the aggregation, analysis, and reporting of code quality and security issues.
GitHub: A cloud-based platform for hosting and collaborating on Git repositories, featuring pull requests, issue tracking, and integrated CI/CD capabilities.
Bitbucket: A web-based repository hosting service for Git and Mercurial that offers collaborative development features and integrates with Atlassian tools.
Project ID: A unique identifier assigned to a project, used to reference and distinguish the project within systems such as version control or project management tools.
ID: Short for "identifier" – a unique value or token used to distinguish an entity from others.
SVG: Scalable Vector Graphics – an XML-based vector image format for two-dimensional graphics, supporting interactivity and animation.
ZenDiS: The Zentrum für Digitale Souveränität der Öffentlichen Verwaltung (ZenDiS - Centre for Digital Souvereignity in Public Administration) has become responsible for openCode and is continuously developing the platform.
BITV: Short for "Barrierefreie Informationstechnik-Verordnung 2.0" – the German regulation that sets mandatory accessibility standards for public websites and mobile applications, ensuring digital inclusion for users with disabilities.
yaml: is a human-readable data serialization language. It is commonly used for configuration files and in applications where data is being stored or transmitted
YAML: is a human-readable data serialization language. It is commonly used for configuration files and in applications where data is being stored or transmitted
git: is a distributed version control system that tracks versions of files. It is often used to control source code by programmers who are developing software collaboratively.
e.g.: example given
json: Short for "JavaScript Object Notation" – a lightweight, human-readable data format used for structured data interchange.
regex: A regular expression (shortened as regex or regexp), sometimes referred to as rational expression,is a sequence of characters that specifies a match pattern in text. Usually such patterns are used by string-searching algorithms for "find" or "find and replace" operations on strings.
CVE: The Common Vulnerabilities and Exposures (CVE) system provides a reference method for publicly known information-security vulnerabilities and exposures. 
container registry: Eine Container Registry ist ein Repository oder eine Sammlung von Repositories, in der Container Images gespeichert werden und auf diese Images zugegriffen werden kann. Container Registries können die containerbasierte Anwendungsentwicklung unterstützen, was häufig im Rahmen von DevOps-Prozessen geschieht. Container Registries können eine direkte Verbindung zu Container-Orchestrierungsplattformen wie Docker und Kubernetes herstellen
pipeline: a pipeline refers to a series of automated steps that optimize the software delivery process. These steps include building, testing, and deploying code, aiming to improve the app development process through monitoring and automation. This is particularly helpful during integration and continuous testing phases, which can be challenging and time-consuming without automation. Pipelines can prevent errors that might occur due to manual processes, enable quick product iterations, and provide consistent feedback throughout the development process
bug: a bug refers to an error, flaw, or fault in a computer program or system that causes it to produce an incorrect or unexpected result, or to behave in unintended ways. Bugs can range from minor issues, such as a user interface glitch, to major problems that can cause the program to crash or compromise security.
commit: In the context of software development, a commit refers to the act of saving changes to a version control system, such as Git. When you commit, you are recording the changes you've made to the codebase, along with a message that describes what was changed. This creates a snapshot of the project at that point in time, allowing you to track the history of changes, revert to previous versions if needed, and collaborate with other developers.
tags: tags are references to specific points in the repository's history. They are often used to mark important milestones, such as releases or significant changes. Here are some key points about tags
tag: Tags are often used to mark the release versions of software, can help in branching and merging by providing clear reference points, can mark significant commits that are not necessarily releases, such as the start of a new feature or a major refactor.
release: A release in the context of Git is a formal version of your software that is ready for distribution or deployment. It is typically marked with a tag, and the process often involves creating a release branch, merging changes back to the main branch, and using CI/CD pipelines to build and deploy the release. This ensures that the release is stable, well-tested, and can be deployed reliably.
BGG: Behindertengleichstellungsgesetz
GmbH:  Gesellschaft mit beschränkter Haftung
REST: Representational State Transfer (abgekürzt REST) ist ein Paradigma für die Softwarearchitektur von verteilten Systemen, insbesondere für Webservices. REST ist eine Abstraktion der Struktur und des Verhaltens des World Wide Web. REST hat das Ziel, einen Architekturstil zu schaffen, der den Anforderungen des modernen Web besser genügt. Dabei unterscheidet sich REST vor allem in der Forderung nach einer einheitlichen Schnittstelle von anderen Architekturstilen.
RESTful: RESTful Application Programming Interface ist eine spezielle Art von API, die die Prinzipien von REST verwendet. Eine RESTful API setzt REST-Prinzipien um und nutzt HTTP-Protokoll, um Daten zu übertragen und Ressourcen zu manipulieren.
EU: Europäische Union.
EN: EN steht für Europäische Norm (Europäische Norm). Diese Normen werden von drei EU-Institutionen vergeben und ratifiziert.
